composer 安装 laravel 和 lumen

laravel 5.5

  • PHP >= 7.0.0
  • PHP OpenSSL 扩展
  • PHP PDO 扩展
  • PHP Mbstring 扩展
  • PHP Tokenizer 扩展
  • PHP XML 扩展
composer global require "laravel/installer"
 // 创建新项目,blog是项目名(文件夹名)
composer create-project --prefer-dist laravel/laravel blog "5.5.*"

lumen

composer global require "laravel/lumen-installer"
lumen new blog

composer create-project --prefer-dist laravel/lumen blog

laravel-oci

composer require yajra/laravel-oci8:"5.5.*"

hprose

composer require hprose/hprose:">=2.0.0"

phpexcel

composer require phpoffice/phpexcel